#version 460 core

layout(location = 0) in vec3 a_Position;
layout(location = 1) in mat4 a_Transform;
layout(location = 2) in vec4 a_Color;

struct VertexOutput {
    vec4 Color;
};

layout(location = 0) out VertexOutput Output;

void main() {
    Output.Color = a_Color;
    
    gl_Position = vec4(a_Position, 1.0) * a_Transform;
}
